
-- Application BLOCKCHAIN : Menu principal. --
-- ---------------------------------------- --

set path = BD-2022/Chapitre-11/Blockchain;
set showData = 0;
while (True);
   askCombo [/b               Boite  outils BLOCKCHAIN]
    [selectOne op = 
                  Crer la base de donnes
                 |{-------------------------------}
                 |Ouvrir un compte
                 |Excuter un dpt
                 |Excuter un transfert
                 |Valider une transaction
                 |Crer un bloc
                 |{-------------------------------}
                 |Consulter un compte
                 |Examiner les transactions
                 |Examiner la blockchain]
   |[selectMany-u showData = Afficher le contenu des tables aprs chaque transaction];
   if ('$DIALOGbutton$' = 'Cancel') goto END;

   if ($op$ in (2,3,4,5,6,7,8,9) and not fileExists('$dbDirectory$/BLOCKCHAIN.db'));
      showMessage La base de donnes BLOCKCHAIN n'existe pas.@nCrer-la avant de travailler.;
      next; 
   endif;

   if ($op$ = 1) execSQL $path$/_BC-Creer_BD.sql;
   if ($op$ = 2) execSQL $path$/_BC_Ouvrir_Compte.sql;
   if ($op$ = 3) execSQL $path$/_BC_Executer_Depot.sql;
   if ($op$ = 4) execSQL $path$/_BC_Executer_Transfert.sql;
   if ($op$ = 5) execSQL $path$/_BC_Valider_Transaction.sql;
   if ($op$ = 6) execSQL $path$/_BC_Creer_Bloc.sql;
   if ($op$ = 7) execSQL $path$/_BC_Consulter_Compte.sql;
   if ($op$ = 8) execSQL $path$/_BC_Examiner_Transactions.sql;
   if ($op$ = 9) execSQL $path$/_BC_Examiner_Blockchain.sql;
endwhile;

label END;

stop;

