-- ---------------------- --
-- Executer un transfert  --
-- ---------------------- --

openDB BLOCKCHAIN.db;

extract NC = select count(*) from COMPTE;
if ($NC$ = 0);
   showMessage Aucun compte n'a encore t cr.@nOpration annule.;
   goto END;
endif;

ask moi,elle,montant = [/bIntroduire les donnes du transfert]
          Votre nom:[!select NomPrive,AdresseCPT from COMPTE order by NomPrive]
         |Destinataire:[!select NomPrive,AdresseCPT from COMPTE order by NomPrive]
         |Montant:;
if ('$DIALOGbutton$' = 'Cancel') goto END;

if ('$moi$' = '' or '$elle$' = '' or '$montant$' = '' or isNotNumeric('$montant$'));
   showMessage Donnes incorrectes;
   goto END;
endif;

if ($montant$ <= 0);
   showMessage Montant incorrect;
   goto END;
endif;

if ('$moi$' = '$elle$');
   showMessage Vous ne pouvez vous transfrer  vous-mme !;
   goto END;
endif;

extract cleSecrete = select CleSecrete from COMPTE where AdresseCPT = '$moi$';

set      dateEnreg = $dateclock$;
set      idTrans   = $moi$-$date$_$clock$;
set      operation = TRANSFER;

function signature = LStr:encryptRSA {$idTrans$;$operation$;$moi$;$elle$;$montant$;$dateEnreg$},
                                     {$cleSecrete$};

extract plusD = select coalesce(sum(Montant),0) from BTRANSACTION
                where  operation = 'DEPOSIT' and Destin = '$moi$';
extract plusT = select coalesce(sum(Montant),0) from BTRANSACTION
                where  operation = 'TRANSFER' and Destin = '$moi$';
extract minus = select coalesce(sum(Montant),0) from BTRANSACTION
                where  operation = 'TRANSFER' and Source = '$moi$';
compute solde = $plusD$ + $plusT$ - $minus$;

if ($solde$ < $montant$);
   showMessage Solde insuffisant.@nOperation annule.;
   goto END;
endif;

insert into BTRANSACTION (IDTrans,Operation,Source,Destin,Montant,DateEnreg,Signature)
       values ('$idTrans$','$operation$','$moi$','$elle$',$montant$,'$dateEnreg$','$signature$');
commitDB;

if ($showData$) execSQL $path$/_BC_Contenu_tables.sql;

label END;

closeDB;

return;
