
-- This version allows the user to register ONE customer user --
-- ---------------------------------------------------------- --

-- trace on;

openDB RETAIL.db;

extract oid = select coalesce(max(OrdID),0)+1 from CUSTORDER;
set dat = $date$;
set cus,itm,qty = ,,0;
while (True);

   ask-u oid,dat,cus,itm,qty = [/bRegister a new customer order]
                            Order ID:
                           |Current date:
                           |Customer ID:[select Name||' ('||CustID||')',CustID
                                         from   CUSTOMER order by CustID]
                           |Item ID:[select Description||' ('||ItemID||')',ItemID
                                     from   ITEM order by ItemID]
                           |Quantity:;
   if ('$DIALOGbutton$' = '$buttonNO$') exit;

   onError continue;
   insert into CUSTORDER(OrdID,DateOrd,CustID,ItemID,Qty)
       values ($oid$,'$dat$','$cus$','$itm$',$qty$);
   onError stop;

   if ('$SQLdiag$' = 'OK');
      commitDB;
   else;
      showMessage The registration of the customer order failed
                @n   - Diagnosis: $SQLdiag$ ("$EXTENDEDdiag$").
                @n   - Retry (OK) or stop (Cancel).;
      if ('$DIALOGbutton$' = '$buttonYES$') next;
   endif;
   exit;
endwhile;

closeDB;

-- trace off;

return;
