openDB RETAIL.db;

set dat = $date$;
set sup,itm,pri,del = ,,,;

while (True);
   ask-u sup,itm,pri,del = [/bRegister a new supplier offer order]
                            Supplier ID*:[!select Name||' ('||SuppID||')',SuppID from SUPPLIER order by SuppID]
                           |Item ID*:[!select Description||' ('||ItemID||')',ItemID from ITEM order by ItemID]
                           |Price*:
                           |Delay*:;
   if ('$DIALOGbutton$' = '$buttonNO$') exit;

   set val = *$sup$*$itm$*$pri$*$del$*;
   if ('val' like '%**%');
      showMessage The registration of the supplier offer failed
                @n   - Diagnosis: value(s) missing.
                @n   - Retry (OK) or stop (Cancel).;
      if ('$DIALOGbutton$' = '$buttonYES$') next;
      if ('$DIALOGbutton$' = '$buttonNO$') exit;
   endif;

   onError continue;
   insert into OFFER(SuppID,ItemID,Price,Delay)
       values ('sup','itm',$pri$,$del$);
   onError stop;

   if ('$SQLdiag$' <> 'OK');
      showMessage The registration of the supplier offer failed.
                @n   - Diagnosis: "$SQLdiag$" ($EXTENDEDdiag$).
                @n   - Retry (OK) or stop (Cancel).;
      if ('$DIALOGbutton$' = '$buttonYES$') next;
   endif;

   commitDB;
   set itm,pri,del = ,,;

endwhile;
closeDB;

return;
