write-b -- ------------------------------------------------- --;
write   -- Active databases                                  --;
write   -- Create a small database with circuits of triggers --;
write   -- ------------------------------------------------- --;

write-b createOrReplaceDB DB-with-Circuits.db;;
write-b create table R (R1 int,R2 int,R3 int);;
write create table S (S1 int,S2 int,S3 int);;
write create table T (T1 int,T2 int,T3 int);;
write create table U (U1 int,U2 int,U3 int);;
write create table W (W1 int,W2 int,W3 int);;

write-b 1: create trigger R_INS after insert on R begin insert into S values(1,2,3); update T set T2=2,T3=3; end;;
write 2: create trigger S_INS after insert on S begin delete from U; end;;
write 3: create trigger T_UPD after update on T begin update T set T1=1; update W set W3=3; end;;
write 4: create trigger U_DEL after delete on U begin insert into S values(1,2,3); update W set W1=1; end;;
write 5: create trigger W_UPD after update of W3 on W begin update W set W2=2; end;;

write-b closeDB;;


createOrReplaceDB DB-with-Circuits.db;

create table R (R1 int,R2 int,R3 int);
create table S (S1 int,S2 int,S3 int);
create table T (T1 int,T2 int,T3 int);
create table U (U1 int,U2 int,U3 int);
create table W (W1 int,W2 int,W3 int);

-- trigger 1
create trigger R_INS after insert on R begin insert into S values(1,2,3); update T set T2=2,T3=3; end;

-- trigger 2
create trigger S_INS after insert on S begin delete from U; end;

-- trigger 3
create trigger T_UPD after update on T begin update T set T1=1; update W set W3=3; end;

-- trigger 4
create trigger U_DEL after delete on U begin insert into S values(1,2,3); update W set W1=1; end;

-- trigger 5
create trigger W_UPD after update of W3 on W begin update W set W2=2; end;

closeDB;
return;

