write-b -- ------------------------------- --;
write   -- Active databases                --;
write   -- Checking graph acyclicity       --;
write-a -- ------------------------------- --;

-- Two test databases are suggested --
-- -------------------------------- --
if (not fileExists('$dbDirectory$/DB-with-Circuits.db'));
   showMessage Example database "DB-with-Circuits.db" is missing.
               @n Please create it from the main menu.;
   return;
endif;

if (not fileExists('$dbDirectory$/RETAIL.db'));
   showMessage Database "RETAIL.db" is missing.
               @n Please create it from the main menu.;
   return;
endif;

-- Select one of them --
-- ------------------ --
selectOne db = [/bSelect a database to analyze] DB-with-Circuits.db:|RETAIL.db:;
   if ('$DIALOGbutton$'= '$buttonNO$' or $db$ = 0) stop;
compute current-db = item('DB-with-Circuits.db;RETAIL.db',$db$,';');

-- Create the persitent dictionary of this database --
-- (more complete than the standard dictionary)     --
-- ------------------------------------------------ --
execSQL $maindir$/_Create-persistent-dictionary.sql;

-- Analyze the graph of the triggers --
-- --------------------------------- --
execSQL $maindir$/_Check-trigger-circuits.sql;

return;
