-- ------------------------------ --
-- Directory structure (no files) --
-- ------------------------------ --

if (not fileExists('dbDirectory/DIRECTORY.db'));
   showMessage Database "DIRECTORY.db" not found;
   return;
endif;

openDB DIRECTORY.db;

ask inst = Instance:[!$listInstances$];
if ('$DIALOGbutton$' <> 'OK' or '$inst$' = '') goto EXIT;

extract iName = $instName$;
write-ab -- Directory structure of directory "$iName$" --;

select NodeID,
       repeat('.... ',Level)
     ||case when NType = 'F'
              then LocalName
              else '['||LocalName||']'
       end as Name
from  NODE
where InstID = $inst$ and NType = 'D'
order by Path;

label EXIT;
   closeDB;

return;