
openDB KINGS.db;

set Closure = select Father,PiD from MEMBER
              where  Father is not null
                 union all
              select P.Ancestor, M.PiD
              from   PATHS P,MEMBER M
              where  P.Descendant = M.Father;

-- printing the Closure
with recursive PATHS(Ancestor,Descendant) as ($Closure$)
select Ancestor,Descendant
from   PATHS
order  by Ancestor,Descendant;

-- computing the size of the closure
with recursive PATHS(Ancestor,Descendant) as ($Closure$)
select count(*) as Number
from   PATHS;

closeDB;
