
set encode = 1;

-- ============================ DONNEES GROUPEES =============================

insert into EXERCISE values(
   'Q04-01',
   'ORDERS.db',
   'group',1,1,
   'Customers grouped by city. Name,number and account average',
   'For each group of customers from the same city, display the city name, the number of customers and their average account.',
   'select City,count(*) as Number,avg(Account) as Average from CUSTOMER group by City'
);

insert into EXERCISE values(
   'Q04-02',
   'ORDERS.db',
   'group',1,1,
   'Customers grouped by city. If at least 3 customers: name,number and account average',
   'For each group of at least 3 customers from the same city, display the city name, the number of customers and their average account.',
   'select City, count(*) as Number, avg(Account) as Average from CUSTOMER group by City having Number >= 3'
);

insert into EXERCISE values(
   'Q04-03',
   'ORDERS.db',
   'group',1,1,
   'Customers grouped by city. If sum of accounts < 100: name,number and account average',
   'For each group of customers from the same city, if its total account is less than 100, display the city name, the number of customers and their average account.',
   'select City, count(*) as Number, avg(Account) as Average from CUSTOMER group by City having sum(Account) < 100'
);

insert into EXERCISE values(
   'Q04-04',
   'ORDERS.db',
   'group',1,1,
   'Customers with at least 2 orders',
   'Retrieve the Id of the customers who have placed at least 2 orders. Also display the number of these orders.',
   'select CustID, count(*) as Number from CUSTORDER group by CustID having Number >= 2'
);

insert into EXERCISE values(
   'Q04-05',
   'ORDERS.db',
   'group',2,2,
   'Customers with at least 2 orders of a product',
   'Retrieve the Id of the customers who have placed at least 2 orders that reference product ''PA45''. Also display the number of these orders.',
   'select CustID, count(*) as Number from CUSTORDER where OrdID in (select OrdID from DETAIL where ProdID = ''PA45'') group by CustID having Number >= 2'
);

insert into EXERCISE values(
   'Q04-06',
   'ORDERS.db',
   'group',2,2,
   'Customers with at least 2 orders of a product + number + total quantity',
   'Retrieve the Id of the customers who have placed at least 2 orders that reference product ''PA45''. Also display the number of these orders and the total quantity of this product.',
   'select CustID, count(*) as Number, sum(Qord) as Quantity from CUSTORDER M, DETAIL D where M.OrdID = D.OrdID and ProdID = ''PA45'' group by CustID having Number >= 2'
);

if ($encode$) update EXERCISE set RefQuery = b64encode(RefQuery,'std');

commitDB;
