-- ----------------------------------- --
-- Let the student answer the question --
-- ----------------------------------- --

openDB SQLtutor.db;

askCombo [/b SQL Tutor - Learning SQL at your own pace]
         [showText    xText  = [/b/y5/x$textw$Exercise $xId$ - Translate in SQL the following query ...]]
        |[askText-u   xQuery = [/b/y$texth1$/x$textw$ My answer ...]]
        |[selectOne-u oper = Execute my query
                           ||Execute the reference query
                           ||Evaluate my answer]
        |[showText    xResult  = [/b/y$texth2$/x$textw$/w0 Evaluation of my query]]
        |[selectMany-u clear = Clear this window];

-- Clean the student's query --
compute xQuery = rtrim(trim('xQuery'),';');

closeDB;

-- ---------------------------------------------------------
-- USES
-- ---------------------------------------------------------
--  - xId: ExID of the current exercise
--  - xResult: current contents of the result area
--  - texth1, texth2, textw
-- ---------------------------------------------------------
-- RETURNS
-- ---------------------------------------------------------
--  - xQuery: student's query
--  - oper:   new operation selected by the student
--  - clear:  new clear result area
--  - DIALOGbutton
-- ---------------------------------------------------------
