insert into NODE(Name) values
       ('A'),('B'),('C'),('D'),('E'),('F'),('G');
insert into NPATH values
       ('A','B',4),('A','C',8),('B','C',7),('B','D',12),
       ('B','E',21),('C','F',25),('D','E',15),('D','G',31),
       ('D','F',12),('E','G',17),('E','F',10),('F','G',7);

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;
