insert into NODE(Name) values ('A01'),('A02'),('A03'),('A04'),('A05'),('A06'),('A07'),('A08'),('A09'),('A10');
insert into NODE(Name) values ('B01'),('B02'),('B03'),('B04'),('B05'),('B06'),('B07'),('B08'),('B09'),('B10');
insert into NODE(Name) values ('C01'),('C02'),('C03'),('C04'),('C05'),('C06'),('C07'),('C08'),('C09'),('C10');
insert into NODE(Name) values ('D01'),('D02'),('D03'),('D04'),('D05'),('D06'),('D07'),('D08'),('D09'),('D10');
insert into NODE(Name) values ('E01'),('E02'),('E03'),('E04'),('E05'),('E06'),('E07'),('E08'),('E09'),('E10');
insert into NODE(Name) values ('F01'),('F02'),('F03'),('F04'),('F05'),('F06'),('F07'),('F08'),('F09'),('F10');
insert into NPATH values ('A01','B01',1);
insert into NPATH values ('B01','B02',1),('B02','B03',1),('B04','B05',1),('B05','B06',1),('B07','B08',1),('B08','B09',1),('B09','B10',1);
insert into NPATH values ('B03','C03',1),('B04','C04',1),('B06','C06',1),('B07','C07',1),('B10','C10',1);
insert into NPATH values ('C02','C03',1),('C03','C04',1),('C04','C05',1),('C06','C07',1),('C09','C10',1);
insert into NPATH values ('C01','D01',1),('C05','D05',1),('C07','D07',1),('C08','D08',1),('C09','D09',1);
insert into NPATH values ('D01','D02',1),('D03','D04',1),('D05','D06',1),('D07','D08',1),('D09','D10',1);
insert into NPATH values ('D02','E02',1),('D03','E03',1),('D05','E05',1),('D06','E06',1),('D09','E09',1),('D10','E10',1);
insert into NPATH values ('E01','E02',1),('E02','E03',1),('E06','E07',1),('E08','E09',1);
insert into NPATH values ('E01','F01',1),('E04','F04',1),('E05','F05',1),('E08','F08',1),('E10','F10',1);
insert into NPATH values ('F01','F02',1),('F02','F03',1),('F03','F04',1),('F04','F05',1),('F05','F06',1),('F06','F07',1),('F07','F08',1),('F08','F09',1);

-- Insert inverse paths --
insert into NPATH(Node1,Node2,Cost) select Node2,Node1,Cost from NPATH;

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;

return;
