
create table NODE(NodeID integer not null primary key autoincrement,
                  Name  varchar(32) not null,
                  Mark  integer,
                  Path  varchar(256),
                  Cost  integer);

-- Paths expressed by city names --
create table NPATH(Node1 varchar(32) not null,
                  Node2 varchar(32) not null,
                  Cost   integer not null);

-- Paths expressed by city ID's --
create table PATH(Node1 integer not null,
                  Node2 integer not null,
                  Cost   integer not null);

create view EXTERNAL as select * from NODE where Mark = 0;
create view ExtPATH(Node1,Name1,Cost1,Cost,Node2,Name2,Cost2)
            as select P.Node1,C1.Name,C1.Cost,P.Cost,P.Node2,C2.Name,C2.Cost
               from   NODE as C1, PATH as P, NODE as C2
               where  C1.NodeID = P.Node1 and P.Node2 = C2.NodeID;
