-- ---------------------------------------- --
-- MODIFY A READER (proto version)          --
-- ---------------------------------------- --

ask rid = [/bSelect a reader to modify]
           Reader ID:[!select ReaderID||' - '||Name, ReaderID
                       from   READER order by Name];
if ('$DIALOGbutton$' = 'Cancel') return;

extract dat,nam,add = select RegDate,Name,Address
                      from   READER where ReaderID = 'rid';

while (True);
  ask-u dat,nam,add = [/bModify reader $rid$ (OK / Cancel)]
                       Registration date*:|Name*:|Address:;
  if ('$DIALOGbutton$' = 'Cancel') return;
  if (trim('$dat$') <> '' and trim('nam') <> '') exit;
endwhile;

update READER
set RegDate = '$dat$',
    Name    = 'nam',
    Address = case when 'add' = '' then null else 'add' end
where ReaderID = 'rid';

if ('$SQLdiag$' <> 'OK') showMessage Recording error ($SQLdiag$);
