write-b -- unidimensional array --;
write -- -------------------- --;

createDB InMemory;
create temp table U(U integer);
insert into U values(0),(1),(2),(3),(4),(5),(6),(7),(8),(9);

create table VECTOR(X integer not null,V float);
insert into VECTOR(X)
   select 100*U100.U + 10*U10.U + 1*U1.U + 1 as Ndx
   from   U U100, U U10, U U1 where Ndx <= 110; 
select * from VECTOR;

closeDB;

write-b -- bidimensional array --;
write -- ------------------- --;

createDB InMemory;
create table MATRIX(
       X integer not null,
       Y integer not null,
       V float,
       primary key (X,Y));
with recursive
  INIT1(I)
  as (select 1
     union
  select I+1 from INIT1 where I < 8),
  INIT2(I,J)
  as (select I,1 from INIT1
        union
      select I,J+1 from INIT2 where J < 6)
insert into MATRIX(X,Y) select I,J from INIT2;
select * from MATRIX order by X,Y;
closeDB;

