createDB InMemory;

create table S(Sid char(10) not null, Pid char(10) not null);
insert into S values ('01','a'),('01','b'),('01','c'),
                     ('02','b'),('02','c'),
                     ('03','c'),
                     ('04','c'),('04','d');
create table P(Pid char(10) not null);
insert into P values ('b'),('c');

write-b -- Table S (supplies) --;
select * from S;
write-b -- Table P (products) --;
select * from P;

write-b -- S div P                               --;
write   -- Suppliers who can supply all products --;
select distinct S1.Sid
from   S S1
where  not exists(select *
                  from   P
                  where  not exists(select * 
                                    from   S
                                    where  S.Sid = S1.Sid
                                    and    S.Pid = P.Pid
                                    )
                  );
stop;


