openDB ORDERS.db;

write-b Computing the number of cities with a view;
create temporary view CITY_ORDERS as
       select CITY,count(*) as Number
       from   CUSTOMER C, CUSTORDER as O
       where  C.CustID = O.CustID
       group by CITY;

select sum(Number) from CITY_ORDERS;

write-b Computing the number of cities with a CTE;
with CITY_ORDERS
as   (select CITY,count(*) as Number
      from   CUSTOMER C, CUSTORDER as O
      where  C.CustID = O.CustID
      group by CITY)
select sum(Number) from CITY_ORDERS;

closeDB;

