write-ab For each person ("Head"), we give the number of subordinates ("Nbr sub")
      @nthe ID of each surbordinate ("Sub")and the path between them ("Path"). 

openDB STAFF.db;

with recursive PATHS(Head,Sub,Path)
as (select PID,PID,'.'||PID||'.' from PERSON
       union all
    select O.Head,P.PID,O.Path||P.PID||'.'
    from   PATHS O, PERSON P
    where O.Sub = P.Manager
    )
select Head,'' as "Nbr sub",Sub,Path
from   PATHS where Head <> Sub
   union
select Head,count(*) as "Nbr sub",'' as Sub,'' as Path
from   PATHS where Head <> Sub
group by Head
order by Head,Path;

closeDB;
