openDB STAFF.db;

create temp table PATHS (Lev integer,Head char(4),
                         Sub char(4),Path char(256));

insert into PATHS select 1,PID,PID,'.'||PID||'.' from PERSON;

for I = [1,999];
   extract N = select count(*) from PATHS where Lev = $I$;
   if ($N$ = 0) exit;
   insert into PATHS
   select O.Lev+1,Head,P.PID,O.Path||P.PID||'.'
   from   PATHS O,PERSON P
   where  P.Manager = O.Sub and O.Lev = $I$;
endfor;

select Head,'' as "Nbr sub",Sub,Path
from   PATHS where Head <> Sub
   union
select Head,count(*) as "Nbr sub",'' as Sub,'' as Path
from   PATHS where Head <> Sub
group by Head
order by Head,Path;

closeDB;
