
openDB STAFF.db;

create temp table PATHS (Dist integer,PID char(4),
                         Name char(24),Manager char(4),
                         Path char(256));

ask P = PersonID:[!select PID from PERSON];

insert into PATHS select 0,PID,Name,Manager,'.'||PID||'.' 
                  from   PERSON where PID = '$P$';

for I = [0,999];
   extract N = select count(*) from PATHS where Dist = $I$;
   if ($N$ = 0) exit;
   insert into PATHS
   select O.Dist+1,P.PID,P.Name,P.Manager,O.Path||P.PID||'.'
   from   PATHS O,PERSON P
   where  P.Manager = O.PID and O.Dist = $I$;
endfor;

select substr('------',1,2*Dist)||PID||' ['||Name||']' as Person,Path
from   PATHS order by Path;

closeDB;
