write;
write -- Numeric expressions --;
write -- ------------------- --;
compute R = (25/5 + 6)*2.5 - 7;
write compute (25/5 + 6)*2.5 - 7 = $R$;
compute R = abs(-127);
write compute abs(-127) = $R$;
compute R = round(1.567);
write compute round(1.567) = $R$;
compute R = round(1.567,2);
write compute round(1.567,2) = $R$;
compute R = truncate(1.567);
write compute truncate(1.567) = $R$;
compute R = int(1.567);
write compute int(1.567) = $R$;
compute R = random();
write compute random() = $R$;
compute R = random_i(1,10);
write compute random_i(1,10) = $R$;
compute R = random_f(1.0,10.0);
write compute random_f(1.0,10.0) = $R$;
compute R = power(3,4);
write compute power(3,4) = $R$;
compute R = power(1.2,3.7);
write compute power(1.2,3.7) = $R$;
compute R = sqrt(127);
write compute sqrt(127) = $R$;
compute R = sqrt(49);
write compute sqrt(49) = $R$;
compute R = sign2(-1);
write compute sign2(-1) = $R$;
compute R = sign2(0);
write compute sign2(0) = $R$;
compute R = sign3(-1);
write compute sign3(-1) = $R$;
compute R = sign3(0);
write compute sign3(0) = $R$;
write;

write -- Character string expressions --;
write -- ---------------------------- --;
compute R = 'azerty'||'-'||'qwerty'; 
write compute 'azerty'||'-'||'qwerty' = $R$;
compute R = substr('ABCDEFGH',2,5);
write compute substr('ABCDEFGH',2,5) = $R$;
compute R = substr('ABCDEFGH',2);
write compute substr('ABCDEFGH',2) = $R$;
compute R = substr2('ABCDEFGH',2,5);
write compute substr2('ABCDEFGH',2,5) = $R$;
compute R = upper('Arcadia');
write compute upper('Arcadia') = $R$;
compute R = instr('ABCDEFGH','CD');
write compute instr('ABCDEFGH','CD') = $R$;
compute R = length('ABCDEFGH');
write compute length('ABCDEFGH') = $R$;
compute R = like('%DEFG%','ABCDEFGH');
write compute like('%DEFG%','ABCDEFGH') = $R$;
compute R = like('%DE/%FG%','ABCDE%FGH','/');
write compute like('%DE/%FG%','ABCDE%FGH','/') = $R$;
compute R = lower('Rue D''Elbe');
write compute lower('Rue D''Elbe') = $R$;
compute R = ltrim('  ABC  ');
write compute ltrim('  ABC  ') = "$R$";
compute R = ltrim('--ABC--','-');
write compute ltrim('--ABC--','-') = "$R$";
compute R = rtrim('  ABC  ');
write compute rtrim('  ABC  ') = "$R$";
compute R = rtrim('--ABC--','-');
write compute rtrim('--ABC--','-') = "$R$";
compute R = trim('  ABC  ');
write compute trim('  ABC  ') = "$R$";
compute R = replace('AbCABcA','A','-');
write compute replace('AbCABcA','A','a') = $R$;
compute R = deaccent('Le rve d''Hlne');
write compute deaccent('Le rve d''Hlne') = $R$;
compute R = hex('a b c ');
write compute hex('a b c ') = $R$;
compute R = isNumeric('123A');
write compute isNumeric('123A') = $R$;
compute R = isNumeric('123.5');
write compute isNumeric('123.5') = $R$;
compute R = isNotNumeric('123A');
write compute isNotNumeric('123A') = $R$;
compute R = doubleQuote("Le rve d'Hlne");
write compute doubleQuote("Le rve d'Hlne") = $R$;
compute R = repeat('yes ',3);
write compute repeat('yes ',3) = $R$;
write;

write -- Logical expressions --;
write -- ------------------- --;
compute R = 87 <= 78;
write compute 87 <= 78 = $R$;
compute R = 5 < 18 or 17 < 4;
write compute 5 < 18 or 17 < 4 = $R$;
compute R = 55 between 20 and 90;
write compute 55 between 20 and 90 = $R$;
compute R = 'ABCDE' like '_BC%';
write compute 'ABCDE' like '_BC%' = $R$;
write;

write -- Temporal expressions --;
write -- -------------------- --;
compute R = current_time;
write compute current_time = $R$;
compute R = current_date;
write compute current_date = $R$;
compute R = current_timestamp;
write compute current_timestamp = $R$;
write;

--compute R = time(t,m*):  see https://docs.python.org/2/library/time.html? highlight =time#module-time
--compute R = date(t,m*): ditto
--compute R = datetime(t,m*): ditto
--compute R = julianday(t,m*): ditto
--compute R = julianday(t,m*): ditto
--compute R = strftime(f,t,m*):ditto

compute R = current_timestamp_full();
write compute current_timestamp_full() = "$R$";
compute R = current_date_string();
write compute current_date_string() = "$R$";
compute R = current_time_string();
write compute current_time_string() = "$R$";
write;
compute R = time_string(12632.256);
write compute time_string(12627.256) = "$R$";
write;
compute R = year('2015-12-05');
write compute year('2015-12-05') = $R$;
compute R = month('2015-12-05');
write compute month('2015-12-05') = $R$;
compute R = day_in_month('2015-12-05');
write compute day_in_month('2015-12-05') = $R$;
compute R = hour('09:15:42.256');
write compute hour('09:15:42.256') = $R$;
compute R = minute('09:15:42.256');
write compute minute('09:15:42.256') = $R$;
compute R = second('09:15:42.256');
write compute second('09:15:42.256') = $R$;
compute R = millisecond('09:15:42.256');
write compute millisecond('09:15:42.256') = $R$;
write;
compute R = clock('2015-12-24 8:51:3.25');
write compute clock('2015-12-24 8:51:3.25') = "$R$";
compute R = clock('2015-12-24 8:51');
write compute clock('2015-12-24 8:51') = "$R$";
compute R = clock('2015-12-24 8');
write compute clock('2015-12-24 8') = "$R$";
compute R = clock('2015-12-24');
write compute clock('2015-12-24') = "$R$";
write;

write -- General functions --;
write -- ----------------- --;
compute R = max(-12,3,0);
write compute max(-12,3,0) = $R$;
compute R = max('abc','c','bca');
write compute max('abc','c','bca') = $R$;
compute R = min(2,3,1);
write compute min(2,3,1) = $R$;
write;
set A = 1;
set B = 2;
compute R = case when $A$ < $B$ then 'High' when $A$ = $B$ then 'Equal' else 'Low' end;
write set A = 1;
write set B = 2;
dropVariable A;
dropVariable B;
write compute case when $A$ < $B$ then 'Low' when $A$ = $B$ then 'Equal' else 'High' end = '$R$';
write;
set A = 1;
compute R = case $A$ when 0 then 'zero' when 1 then 'one' else 'other' end;
write set A = 1;
dropVariable A;
write compute case $A$ when 0 then 'zero' when 1 then 'one' else 'other' end = '$R$';
write;
compute R = fileExists('D:/SQLfast/Files/result.rtf');
write compute fileExists('D:/SQLfast/Files/result.rtf') = $R$;
compute R = dirExists('D:/SQLfast/Output');
write compute dirExists('D:/SQLfast/Output') = $R$;
write;
compute R = itemLen('A|B|C|D','|');
write compute itemLen('A|B|C|D','|') = $R$;
compute R = item('A|B|C|D',3,'|');
write compute item('A|B|C|D',3,'|') = $R$;
compute R = itemLenS('A;B;C;D');
write compute itemLenS('A;B;C;D') = $R$;
compute R = itemS('A;B;C;D',3);
write compute itemS('A;B;C;D',3) = $R$;

stop;