-- ---------------------------------------------------------------------------- --
-- Cration d'un rgime                                                         --
-- ---------------------------------------------------------------------------- --

set nani,dat = ,$date$;

set buttonYES,buttonNO = Enregistrer,Annuler;
while (True);
   ask-u nani,dat = [/bEnregistrer un rgime]
                      Animal:[!select NOM_ANIMAL||' ('||NOM_ESPECE||')',NOM_ANIMAL
                               from ANIMAL order by NOM_ANIMAL]
                     |Date:;
   if ('$DIALOGbutton$' <> 'Enregistrer') exit;

   if ('$nani$' = '' or '$dat$' = '');
      showMessage "Nom de l'animal" et "Date" sont des donnes obligatoires;
      next;
   endif;

   if (isNotDate('$dat$'));
      showMessage "Date" doit correspondre  une date valide;
      next;
   endif;

   extract N = select count(*) from REGIME
               where  NOM_ANIMAL = '$nani$' and DATE_REGIME = '$dat$';
   if ($N$ > 0);
      showMessage Un rgime existe dj pour cet animal  cette date;
      next;
   endif;

   insert into REGIME values ('$nani$','$dat$');
 
   -- Calculer Ningr: nombre d'ingrdients                            --
   --          Lingr: liste des noms d'ingrdients (sep = '|')        --
   --          Lvar:  liste des noms des variables cibles (sep = ',') --
   --          Lini:  liste des valeurs initiales (sep = ',')         --
   -- --------------------------------------------------------------- --
   extract Ningr,Lingr,Lvar,Lini = select count(*),
                                   group_concat2(NOM_INGREDIENT,0,NOM_INGREDIENT,0,'|'),
                                   group_concat2(NOM_INGREDIENT,0,NOM_INGREDIENT,0,','),
                                   group_concat2(0,0,'',0,',')
                                   from   INGREDIENT;

   -- Initialisation des variables cibles     --
   set $Lvar$ = $Lini$;

   -- Acquisition des quantits d'ingrdiants --
   ask-u $Lvar$ = [/bSpcifier la composition du rgime de "$nani$"] $Lingr$;

   for ingr = [item(|) $Lingr$];
      if (isNotNumeric('$$ingr$$')) set $ingr$ = 0;
      if (not $$ingr$$ = 0) 
         insert into COMPOSITION values('$ingr$','$nani$','$dat$',$$ingr$$);
   endfor;

   commitDB;

   exit;

endwhile;
