
-- BLOCKCHAIN application: Main menu. --
-- ---------------------------------- --

set path = Case-Studies/Case_BlockChain;
set showData = 0;
while (True);
   askCombo [/b@S42BLOCKCHAIN TOOLBOX]
    [selectOne op = 
                  Create the database
                 |{_________________________}
                 |{Blockchain Management}
                 |Create an account
                 |Execute a deposit
                 |Execute a transfer
                 |Validate a transaction
                 |Create a block
                ||{ }
                 |{_________________________}
                 |{Blockchain Explorer}
                 |Examine an account
                 |Examine the transactions
                 |Examine the blockchain]
   |[selectMany-u showData = Show table contents after each transaction];
   if ('$DIALOGbutton$' = 'Cancel') goto END;

   if ($op$ in (2,3,4,5,6,7,8,9) and not fileExists('$dbDirectory$/BLOCK_CHAIN.db'));
      showMessage The BLOCK_CHAIN database does not exist.@nFirst create it.;
      next; 
   endif;

   if ($op$ = 1) execSQL $path$/_BC-Create_BD.sql;
   if ($op$ = 2) execSQL $path$/_BC_Create_Account.sql;
   if ($op$ = 3) execSQL $path$/_BC_Execute_Deposit.sql;
   if ($op$ = 4) execSQL $path$/_BC_Execute_Transfer.sql;
   if ($op$ = 5) execSQL $path$/_BC_Validate_Transaction.sql;
   if ($op$ = 6) execSQL $path$/_BC_Create_Block.sql;
   if ($op$ = 7) execSQL $path$/_BC_Examine_Account.sql;
   if ($op$ = 8) execSQL $path$/_BC_Examine_Transactions.sql;
   if ($op$ = 9) execSQL $path$/_BC_Examine_Blockchain.sql;
endwhile;

label END;

stop;
