-- Execute reference query --
-- ----------------------- --

output$mode$ xResult.var;
   write EXERCISE [$xId$] - RESULT OF THE EXECUTION OF THE REFERENCE QUERY:;
   if ('rQuery' not like 'select %');
      set SQLdiag = SYNTAX;
   else;
      onError continue;
      --select * from ($rQuery$);
      $rQuery$;
      onError stop;
   endif;
   if ('$SQLdiag$' not in ('OK','NONE'));
      write @S4ALERT: the reference SQL query is incorrect.
            @n@S4Please inform the instructor.;
   endif;
   execSQL $dir$/_Display-result-and-correct.sql;  
   write @n@n;
outputAppend window;

-- ---------------------------------------------------------
-- USES
-- ---------------------------------------------------------
--  - xId: ExID of the current exercise
--  - rQuery: student's query
--  - xResult: current contents of the result area
--  - texth1, texth2, textw
--  - mode: open/append mode of result area
-- ---------------------------------------------------------
-- RETURNS
-- ---------------------------------------------------------
--  - xResult: new contents of the result area
-- ---------------------------------------------------------
