insert into NODE(Name) values
   ('A1'),('A2'),('A3'),('A4'),
   ('B1'),('B2'),('B3'),('B4'),
   ('C1'),('C2'),('C3'),('C4'),
   ('D1'),('D2'),('D3'),('D4'),
   ('E1'),('E2'),('E3'),('E4');

insert into NPATH values
   ('A1','A2',5),('A2','A3',8),('A3','A4',4),
   ('B1','B2',9),('B2','B3',6),('B3','B4',7),
   ('C1','C2',7),('C2','C3',5),('C3','C4',8),
   ('D1','D2',8),('D2','D3',6),('D3','D4',5),
   ('E1','E2',3),('E2','E3',8),('E3','E4',7),
     ('A1','B1',4),
     ('B1','C1',8),
     ('C1','D1',4),
     ('D1','E1',7),
   ('A2','B2',7),
   ('B2','C2',5),
   ('C2','D2',4),
   ('D2','E2',5),
     ('A3','B3',4),
     ('B3','C3',7),
     ('C3','D3',7),
     ('D3','E3',4),
   ('A4','B4',6),
   ('B4','C4',6),
   ('C4','D4',8),
   ('D4','E4',6);

--Convert NPATH into PATH --
insert into PATH select C1.NodeID, C2.NodeID, P.Cost
                 from   NODE C1, NPATH P, NODE C2
                 where  C1.Name = P.Node1 and P.Node2 = C2.Name;

-- Table NODE initialization --
update NODE set Mark = 0, Path = '', Cost = 999999;
