
dropAllVariables;

set pic01 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-01-small.gif;
set pic02 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-02-small.gif;
set pic03 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-03-small.gif;
set pic04 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-04-small.gif;

askCombo [/bFor each picture, click on 'reject' to deselect it]
         [selectOne p01 = {Plane-01}||select]
        |[showPicture $pic01$ = [/x300/y200]]
        |[selectOne p02 = {Plane-02}||select]
        |[showPicture $pic02$ = [/x300/y200]]
       ||[selectOne p03 = {Plane-03}||select]
        |[showPicture $pic03$ = [/x300/y200]]
        |[selectOne p04 = {Plane-04}||select]
        |[showPicture $pic04$ = [/x300/y200]];

write You have chosen the following pictures:;
for n = [1,4];
  compute picN = frame('$n$',2,'>',0);
  if ($p$picN$$ = 1) write @tPlane-$picN$;
endfor;

dropAllVariables;

set pic01 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-01-small.gif;
set pic02 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-02-small.gif;
set pic03 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-03-small.gif;
set pic04 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-04-small.gif;
set pic05 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-05-small.gif;
set pic06 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-06-small.gif;
set pic07 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-07-small.gif;
set pic08 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-08-small.gif;
set pic09 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-09-small.gif;
set pic10 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-10-small.gif;
set pic11 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-11-small.gif;
set pic12 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-12-small.gif;
set pic13 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-13-small.gif;
set pic14 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-14-small.gif;
set pic15 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-15-small.gif;
set pic16 = $scriptDirectory$/SQLfast-Tutorials/Appendix-1/Planes/Plane-16-small.gif;

askCombo [/bFor each picture, click on 'reject' to deselect it]
         [selectOne p01 = {Plane-01}||keep||reject]
        |[showPicture $pic01$ = [/x300/y200]]
        |[selectOne p02 = {Plane-02}||keep||reject]
        |[showPicture $pic02$ = [/x300/y200]]
        |[selectOne p03 = {Plane-03}||keep||reject]
        |[showPicture $pic03$ = [/x300/y200]]
        |[selectOne p04 = {Plane-04}||keep||reject]
        |[showPicture $pic04$ = [/x300/y200]]
       ||[selectOne p05 = {Plane-05}||keep||reject]
        |[showPicture $pic05$ = [/x300/y200]]
        |[selectOne p06 = {Plane-06}||keep||reject]
        |[showPicture $pic06$ = [/x300/y200]]
        |[selectOne p07 = {Plane-07}||keep||reject]
        |[showPicture $pic07$ = [/x300/y200]]
        |[selectOne p08 = {Plane-08}||keep||reject]
        |[showPicture $pic08$ = [/x300/y200]]
       ||[selectOne p09 = {Plane-09}||keep||reject]
        |[showPicture $pic09$ = [/x300/y200]]
        |[selectOne p10 = {Plane-10}||keep||reject]
        |[showPicture $pic10$ = [/x300/y200]]
        |[selectOne p11 = {Plane-11}||keep||reject]
        |[showPicture $pic11$ = [/x300/y200]]
        |[selectOne p12 = {Plane-12}||keep||reject]
        |[showPicture $pic12$ = [/x300/y200]]
       ||[selectOne p13 = {Plane-13}||keep||reject]
        |[showPicture $pic13$ = [/x300/y200]]
        |[selectOne p14 = {Plane-14}||keep||reject]
        |[showPicture $pic14$ = [/x300/y200]]
        |[selectOne p15 = {Plane-15}||keep||reject]
        |[showPicture $pic15$ = [/x300/y200]]
        |[selectOne p16 = {Plane-16}||keep||reject]
        |[showPicture $pic16$ = [/x300/y200]];

write-ab Selection: $p01$$p02$$p03$$p04$$p05$$p06$$p07$$p08$$p09$$p10$$p11$$p12$$p13$$p14$$p15$$p16$;

write You have chosen the following pictures:;
for n = [1,16];
  compute picN = frame('$n$',2,'>',0);
  if ($p$picN$$ = 1) write @tPlane-$picN$;
endfor;

