-- Test empty results
-- How to cope with null values and empty sets

openDB ORDERS.db;

-- invalid column values
set cid = X999;
set cit = Madrid;
set cat = X9;

write;

extract N,C = select Name, Cat from CUSTOMER where CustID = '$cid$';
write Case 1 - SQLdiag='$SQLdiag$', Name='$N$', Cat='$C$';

extract C   = select Cat from CUSTOMER where CustID = '$cid$';
write Case 2 - SQLdiag='$SQLdiag$', Cat='$C$';

extract S,C  = select sum(Account),count(*) from CUSTOMER where City = '$cit$';
write Case 3 - SQLdiag='$SQLdiag$', sum='$S$', count='$C$';

extract C,S = select City,sum(Account) from CUSTOMER where CustID = '$cid$';
write Case 4 - SQLdiag='$SQLdiag$', City='$C$', sum='$S$';

extract C,S = select Cat,sum(Account) from CUSTOMER where Cat = '$cat$';
write Case 5 - SQLdiag='$SQLdiag$', Cat='$C$', sum='$S$';

extract C,S = select Cat,sum(Account) from CUSTOMER where Cat is null;
write Case 6 - SQLdiag='$SQLdiag$', Cat='$C$', sum='$S$';

delete from CUSTOMER where Cat is null;
-- select * from CUSTOMER;
extract C,S = select Cat,sum(Account) from CUSTOMER where Cat is null;
write-a Case 7 - SQLdiag='$SQLdiag$', Cat='$C$', sum='$S$';

closeDB;
