-- List-based loops

write-b -- Embedded list-based loops --;

set names = CustID,Name,City;
set records = 123,Mercier,Namur;199,Andr,Paris;309,Marie,Lyon;

for record = [items $records$]
   for item = [item(,) $record$] write @S2 $item$;

for record = [items $records$];
   write-b Customer: $record$;
   for item = [item(,) $record$] write @S2 $item$;
endfor;

write-b -- Second test ---;

set sep = ,;
for record = [items $records$];
   write-b Customer: $record$;
   for item = [item($sep$) $record$] write @S2 $item$;
endfor;

write-b -- Third test ---;

for record = [items $records$];
   write-b Customer: $record$;
   compute attributes = itemJoin('$names$','$record$',',',': ',',');
   for item = [item(,) $attributes$] write @S2 $item$;
endfor;

write-b -- Now, with complex values (beware: '' instead of '$' to preserve quotes) ---;

set names = CustID,Name,Street,City;
set records =  123,'O''Hara','26, Cross Road',Manchester
              ;199,Andr,'rue de l''t',Paris
              ;309,'Marie',Place Royale,Lyon;
for record = [item(;) records];
   write-b Customer: $record$;
   compute attributes = itemJoin('$names$','record',',',': ',',');
   for item = [item(,) attributes] write @S2 $item$;
endfor;
