
openDB STAFF.db;

ask P = PersonID:[!select PID from PERSON];

write-b Breadth first traversal;

with recursive PATHS(Lev,PID,Name,Manager,Path)
as (select 1,PID,Name,Manager,'.'||PID||'.' from  PERSON where PID = '$P$'
      union all
    select O.Lev+1,P.PID,P.Name,P.Manager,O.Path||P.PID||'.'
    from   PATHS O, PERSON P
    where  O.PID = P.Manager
    )
select Lev,PID,Manager from PATHS order by Lev,Manager;

write-b Depth first traversal;

with recursive PATHS(Lev,PID,Name,Manager,Path)
as (select 1,PID,Name,Manager,'.'||PID||'.' from PERSON where PID = '$P$'
      union all
    select O.Lev+1,P.PID,P.Name,P.Manager,O.Path||P.PID||'.'
    from   PATHS O, PERSON P
    where  O.PID = P.Manager
    )
select Lev,PID,Manager from PATHS order by Path;

closeDB;
