-- Coping with circuits --

openDB STAFF.db;

create temp table PATHS (Lev integer,PID char(4),Path char(256));

ask P = PersonID:[!select PID from PERSON];

create temp trigger PATHS_INS after insert on PATHS
for each row begin
    insert into PATHS
    select new.Lev+1,PID,new.Path||PID||'.'
    from   PERSON 
    where  Manager = new.PID
    and    new.Path not like '.%'||PID||'%.'; end;

select * from PERSON;

-- We create a temporary circuit
Write-b We create a temporary circuit;
update PERSON set Manager = 'p07' where PID = 'p01';

select * from PERSON;

insert into PATHS select 1,PID,'.'||PID||'.' 
                  from PERSON where PID = '$P$';

select * from PATHS order by Path;

closeDB;

